Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.format
Class HL7V2MessageFormat

    java.lang.Object
      org.eclipse.ohf.ihe.common.hl7v2.format.HL7V2MessageFormat

    public class HL7V2MessageFormat

extends java.lang.Object

Used in place of Jiva HL7v2 stack to support XDSMetadata. Will convert between HL7 v2 formatted, string-based messages and this HL7v2 model. We anticipate this functionality (some day)to be absorbed into the HL7v2 stack provided in org.eclipse.ohf.hl7v2

Author:
  Sarah Knoop

Constructor Summary
`HL7V2MessageFormat()`

Method Summary
`static CX` | `buildCXFromMessageString(java.lang.String msg, char componentSeparator, char subComponentSeparator)` Constructs a model instance of the CX type from the delimited message string
`static XAD` | `buildXADFromMessageString(java.lang.String msg, char componentSeparator)` Constructs a model instance of the XAD type from the delimited message string
`static XCN` | `buildXCNFromMessageString(java.lang.String msg, char componentSeparator, char subComponentSeparator)` Constructs a model instance of the XCN type from the delimited message string
`static XON` | `buildXONFromMessageString(java.lang.String msg, char componentSeparator, char subComponentSeparator)` Constructs a model instance of the XON type from the delimited message string
`static XPN` | `buildXPNFromMessageString(java.lang.String msg, char componentSeparator)` Constructs a model instance of the XPN type from the delimited message string
`static XTN` | `buildXTNFromMessageString(java.lang.String msg, char componentSeparator)` Constructs a model instance of the XTN type from the delimited message string
`static java.lang.String` | `toMessageString(CX cx, char componentSeparator, char subComponentSeparator)` Converts a model instance of the CX type to a HL7v2.5 standard delimited string.
`static java.lang.String` | `toMessageString(XAD xad, char componentSeparator)` Converts a model instance of the XAD type to a HL7v2.5 standard delimited string.
`static java.lang.String` | `toMessageString(XCN xcn, char componentSeparator, char subComponentSeparator)` Converts a model instance of the XCN type to a HL7v2.5 standard delimited string.
`static java.lang.String` | `toMessageString(XON xon, char componentSeparator, char subComponentSeparator)` Converts a model instance of the XON type to a HL7v2.5 standard delimited string.
`static java.lang.String` | `toMessageString(XPN xpn, char componentSeparator)` Converts a model instance of the XPN type to a HL7v2.5 standard delimited string.
`static java.lang.String` | `toMessageString(XTN xtn, char componentSeparator)` Converts a model instance of the XTN type to a HL7v2.5 standard delimited string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HL7V2MessageFormat

    public HL7V2MessageFormat()

Method Detail

### toMessageString

    public static java.lang.String toMessageString(XON xon,
                                                   char componentSeparator,
                                                   char subComponentSeparator)

  Converts a model instance of the XON type to a HL7v2.5 standard delimited string.

  Parameters:
    `xon` - instance of the XON model
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the delimited String

### buildXONFromMessageString

    public static XON buildXONFromMessageString(java.lang.String msg,
                                                char componentSeparator,
                                                char subComponentSeparator)

  Constructs a model instance of the XON type from the delimited message string

  Parameters:
    `msg` - the delimited message string
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the model instance

### toMessageString

    public static java.lang.String toMessageString(XTN xtn,
                                                   char componentSeparator)

  Converts a model instance of the XTN type to a HL7v2.5 standard delimited string.

  Parameters:
    `xtn` - instance of the XTN model
    `componentSeparator` - component level separator for message
  Returns:
    the delimited String

### buildXTNFromMessageString

    public static XTN buildXTNFromMessageString(java.lang.String msg,
                                                char componentSeparator)

  Constructs a model instance of the XTN type from the delimited message string

  Parameters:
    `msg` - the delimited message string
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the model instance

### toMessageString

    public static java.lang.String toMessageString(CX cx,
                                                   char componentSeparator,
                                                   char subComponentSeparator)

  Converts a model instance of the CX type to a HL7v2.5 standard delimited string.

  Parameters:
    `cx` - instance of the CX model
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the delimited String

### buildCXFromMessageString

    public static CX buildCXFromMessageString(java.lang.String msg,
                                              char componentSeparator,
                                              char subComponentSeparator)

  Constructs a model instance of the CX type from the delimited message string

  Parameters:
    `msg` - the delimited message string
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the model instance

### toMessageString

    public static java.lang.String toMessageString(XCN xcn,
                                                   char componentSeparator,
                                                   char subComponentSeparator)

  Converts a model instance of the XCN type to a HL7v2.5 standard delimited string.

  Parameters:
    `xcn` - instance of the XCN model
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the delimited String

### buildXCNFromMessageString

    public static XCN buildXCNFromMessageString(java.lang.String msg,
                                                char componentSeparator,
                                                char subComponentSeparator)

  Constructs a model instance of the XCN type from the delimited message string

  Parameters:
    `msg` - the delimited message string
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the model instance

### toMessageString

    public static java.lang.String toMessageString(XPN xpn,
                                                   char componentSeparator)

  Converts a model instance of the XPN type to a HL7v2.5 standard delimited string.

  Parameters:
    `xpn` - instance of the XPN model
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the delimited String

### buildXPNFromMessageString

    public static XPN buildXPNFromMessageString(java.lang.String msg,
                                                char componentSeparator)

  Constructs a model instance of the XPN type from the delimited message string

  Parameters:
    `msg` - the delimited message string
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the model instance

### toMessageString

    public static java.lang.String toMessageString(XAD xad,
                                                   char componentSeparator)

  Converts a model instance of the XAD type to a HL7v2.5 standard delimited string.

  Parameters:
    `xad` - instance of the XAD model
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the delimited String

### buildXADFromMessageString

    public static XAD buildXADFromMessageString(java.lang.String msg,
                                                char componentSeparator)

  Constructs a model instance of the XAD type from the delimited message string

  Parameters:
    `msg` - the delimited message string
    `componentSeparator` - component level separator for message
    `subComponentSeparator` - component level separato for message
  Returns:
    the model instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD